Tjar
  1. Orders
Tjar
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Create Order
      POST
    • Change Order Status
      POST
    • Edit Order
      POST
  • Products
    • Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
  1. Orders

List Orders

Developing
GET
/orders
Last modified:2026-02-19 13:10:03
Orders can be created either by the customers from the store or by the tenants from their dashboard.
Use this endpoint to retrieve a list of orders filtered by specific parameters.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orders?page=2&per_page=5&date_from=2025-05-15&date_to=2026-05-15' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": "success",
    "message": "تم استرجاع طلبات المنتجات بنجاح",
    "data": {
        "orders": [
            {
                "id": 679,
                "identifier": 679,
                "order_id": "260679",
                "name": "Budi Doremi",
                "email": "topun2018@gmail.com",
                "phone": "966512341222",
                "address": null,
                "customer": {
                    "id": 1,
                    "name": "Budi Doremi",
                    "email": "topun2018@gmail.com",
                    "mobile": "966512341222",
                    "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
                },
                "city": null,
                "state": null,
                "country": "أفغانستان",
                "zipcode": null,
                "full_address": "أفغانستان",
                "total_amount": 29,
                "formatted_total_amount": "29.00 <sar></sar>",
                "coupon": null,
                "coupon_discounted": 0,
                "status": {
                    "value": "pending",
                    "label": {
                        "ar": "قيد الانتظار",
                        "en": "Pending"
                    },
                    "color": "warning"
                },
                "payment_status": {
                    "value": "pending",
                    "label": {
                        "ar": "قيد الانتظار",
                        "en": "Pending"
                    },
                    "color": "warning"
                },
                "payment_gateway": {
                    "value": "tjar-pay",
                    "label": {
                        "ar": "Tjar Pay",
                        "en": "Tjar Pay"
                    }
                },
                "transaction_id": "tjar-pay::BmkVtvvT2S",
                "can_refund": false,
                "refund_url": null,
                "created_at": "2026-02-18 00:47:33",
                "updated_at": "2026-02-18 00:47:33"
            },
            {
                "id": 678,
                "identifier": 678,
                "order_id": "260678",
                "name": "Budi Doremi",
                "email": "topun2018@gmail.com",
                "phone": "966512341222",
                "address": null,
                "customer": {
                    "id": 1,
                    "name": "Budi Doremi",
                    "email": "topun2018@gmail.com",
                    "mobile": "966512341222",
                    "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
                },
                "city": null,
                "state": null,
                "country": "أفغانستان",
                "zipcode": null,
                "full_address": "أفغانستان",
                "total_amount": 34,
                "formatted_total_amount": "34.00 <sar></sar>",
                "coupon": null,
                "coupon_discounted": 0,
                "status": {
                    "value": "pending",
                    "label": {
                        "ar": "قيد الانتظار",
                        "en": "Pending"
                    },
                    "color": "warning"
                },
                "payment_status": {
                    "value": "pending",
                    "label": {
                        "ar": "قيد الانتظار",
                        "en": "Pending"
                    },
                    "color": "warning"
                },
                "payment_gateway": {
                    "value": "tjar-pay",
                    "label": {
                        "ar": "Tjar Pay",
                        "en": "Tjar Pay"
                    }
                },
                "transaction_id": "tjar-pay::hvIsfy0CyG",
                "can_refund": false,
                "refund_url": null,
                "created_at": "2026-02-18 00:45:05",
                "updated_at": "2026-02-18 00:45:05"
            },
            {
                "id": 677,
                "identifier": 677,
                "order_id": "260677",
                "name": "Budi Doremi",
                "email": "topun2018@gmail.com",
                "phone": "966512341222",
                "address": null,
                "customer": {
                    "id": 1,
                    "name": "Budi Doremi",
                    "email": "topun2018@gmail.com",
                    "mobile": "966512341222",
                    "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
                },
                "city": null,
                "state": null,
                "country": null,
                "zipcode": null,
                "full_address": "",
                "total_amount": 19,
                "formatted_total_amount": "19.00 <sar></sar>",
                "coupon": null,
                "coupon_discounted": 0,
                "status": {
                    "value": "Pending",
                    "label": {
                        "ar": "قيد الانتظار",
                        "en": "Pending"
                    },
                    "color": "warning"
                },
                "payment_status": {
                    "value": "pending",
                    "label": {
                        "ar": "قيد الانتظار",
                        "en": "Pending"
                    },
                    "color": "warning"
                },
                "payment_gateway": {
                    "value": "tjar-pay",
                    "label": {
                        "ar": "Tjar Pay",
                        "en": "Tjar Pay"
                    }
                },
                "transaction_id": "tjar-pay::wty814Lq7N",
                "can_refund": false,
                "refund_url": null,
                "created_at": "2026-02-18 00:38:53",
                "updated_at": "2026-02-18 00:38:53"
            },
            {
                "id": 666,
                "identifier": 666,
                "order_id": "260666",
                "name": "resa",
                "email": "resaqulyubi@gmail.com",
                "phone": "966555555555",
                "address": "abqaiq",
                "customer": {
                    "id": 1079,
                    "name": "resa",
                    "email": "resaqulyubi@gmail.com",
                    "mobile": "085704002285",
                    "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
                },
                "city": "المواليد",
                "state": null,
                "country": "أنغولا",
                "zipcode": null,
                "full_address": "abqaiq, المواليد, أنغولا",
                "total_amount": 105,
                "formatted_total_amount": "105.00 <sar></sar>",
                "coupon": "",
                "coupon_discounted": 0,
                "status": {
                    "value": "Cancelled",
                    "label": {
                        "ar": "ملغي",
                        "en": "Cancelled"
                    },
                    "color": "danger"
                },
                "payment_status": {
                    "value": "success",
                    "label": {
                        "ar": "نجاح",
                        "en": "Success"
                    },
                    "color": "success"
                },
                "payment_gateway": {
                    "value": null,
                    "label": null
                },
                "transaction_id": "cash-on-delivery::Jzdzjhnt7J",
                "can_refund": false,
                "refund_url": null,
                "created_at": "2026-02-05 23:57:34",
                "updated_at": "2026-02-15 03:48:51"
            },
            {
                "id": 674,
                "identifier": 674,
                "order_id": "260674",
                "name": "Test Customer",
                "email": "customer@test.com",
                "phone": "96656952888",
                "address": "2 street makaa saudi arabia",
                "customer": {
                    "id": 28,
                    "name": "Tesss 3",
                    "email": "testinggg17@gmail.com",
                    "mobile": "966666666669",
                    "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
                },
                "city": "التهيمية",
                "state": null,
                "country": "أيسلندا",
                "zipcode": null,
                "full_address": "2 street makaa saudi arabia, التهيمية, أيسلندا",
                "total_amount": 1160,
                "formatted_total_amount": "1,160.00 <sar></sar>",
                "coupon": "",
                "coupon_discounted": 0,
                "status": {
                    "value": "Cancelled",
                    "label": {
                        "ar": "ملغي",
                        "en": "Cancelled"
                    },
                    "color": "danger"
                },
                "payment_status": {
                    "value": "pending",
                    "label": {
                        "ar": "قيد الانتظار",
                        "en": "Pending"
                    },
                    "color": "warning"
                },
                "payment_gateway": {
                    "value": "tjar-pay",
                    "label": {
                        "ar": "Tjar Pay",
                        "en": "Tjar Pay"
                    }
                },
                "transaction_id": "tjar-pay::mkDH8a2MYc",
                "can_refund": false,
                "refund_url": null,
                "created_at": "2026-02-14 02:37:34",
                "updated_at": "2026-02-15 01:06:16"
            }
        ],
        "pagination": {
            "total": 634,
            "current_page": 2,
            "last_page": 127,
            "per_page": 5,
            "next_page_url": "http://b56tf.store.test/api/core/v1/orders?page=3",
            "prev_page_url": "http://b56tf.store.test/api/core/v1/orders?page=1"
        }
    }
}
Modified at 2026-02-19 13:10:03
Previous
Orders
Next
Get Order Details
Built with